{% set current_soa = 2024010101 %} ## TODO: calculate the SOA
$TTL 604800 ; 1 week
{{ domain }} IN SOA  {% for dns in dns_list %}{{ dns }}. {% endfor %} (
{% if current_soa - (soa | default(0)) >= 100 %}
                {{ current_soa }} ; serial
{% else %}
                {{ soa + 1 }} ; serial
{% endif %}
                10800      ; refresh (3 hours)
                3600       ; retry (1 hour)
                604800     ; expire (1 week)
                38400      ; minimum (10 hours 40 minutes)
                )
{% for dns in dns_list %}
            NS {{ dns }}.
{% endfor %}
$ORIGIN {{ domain }}
$TTL 3600   ; 1 hour
{% for entry in a_entries %}
{{ entry.name }} IN A {{ entry.ip }}
{% endfor %}
